scrub-obsolete Package - libquartz-java

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/libquartz-java scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 8ff06be..8542a2e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+libquartz-java (1:1.8.6-7) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on debhelper and
+      maven-debian-helper.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 20 May 2021 18:00:20 -0000
+
 libquartz-java (1:1.8.6-6) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/control b/debian/control
index f0c041a..6321a76 100644
--- a/debian/control
+++ b/debian/control
@@ -7,7 +7,7 @@ Uploaders:
  Torsten Werner <twerner@debian.org>,
  tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper,
  default-jdk,
  javahelper,
  junit,
@@ -21,7 +21,7 @@ Build-Depends:
  libhamcrest-java,
  libmail-java,
  libservlet3.1-java,
- maven-debian-helper (>= 1.4)
+ maven-debian-helper
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/libquartz-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libquartz-java

Run locally

Try this locally (using the lintian-brush package):

debcheckout libquartz-java
cd libquartz-java
deb-scrub-obsolete

More details

Full run details